This is a Linux PAM module for use with german id cards. You can use card
readers with or without pinpad. With card readers that have a pinpad, the PIN
must be entered on the pad, while with card readers without pinpad the PIN is
entered the same way as a classic UNIX password. In any case, you must have an
appropriate driver for your card reader installed.

Before a user can authenticate with an id card, the contents of the card must
be saved in a file. First start program AusweisApp and configure your card
and your reader. Then start program add-eid (without closing AusweisApp before)
to add id card data to the file (multiple cards can be added).

This software was inspired by Frank Morgner's eid-pam 
(https://github.com/frankmorgner/eid-pam) and contains
parts of his code.

Required software
-----------------

ausweisapp (>= 2.2.0)
curl
glib2.0
pam
pkgconf

Building and installing pam-eid
-------------------------------

Run from the command line:

make && make install

Patching AusweisApp
-------------------

To make automatic AusweisApp mode (required for pam-eid) work for card readers
with pinpad, you have to build and install a patched version of AusweisApp.
The patch is in file automatic.patch, which is part of this software. To apply
the patch, go the the AusweisApp source directory and type

patch -p1 < automatic.patch
